Subject: Re: No CPP in cygwin32 for NT
From: [email-masked] (James Mansion)

18 Oct 1996 04:22:42 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: [email-masked]
X-Info: Evaluation version at wgold.demon.co.uk
X-Info: Westongold Ltd: +44 1992 620025
Original-Sender: [email-masked]

Jim Taylor wrote:
>         Re Borland, did some checking and their  Version 4.5 and up
> apparently supports the HP  STL.   AT least version 4.5
> definitely does!  Will keep it in mind as soon as I get some sheckels
> together to pay for it.

Borland 5.0 (and 5.01) include licensed copies of Rogue Wave's STL.

The compiler automatically translates between <map> and <map.h> and
the two styles are integrated.

>            Came across two references to MSVC's latest.  one
> said it did support it, the other said there was a glitch.

MS VC++ 4.2 comes with an STL implementation from P.J.Plauger.
It no longer comes with the HP STL version (of course, you only
get 4.2 if you take a subscription).  However, it does have
the iostreams, string etc.

To use it, you have to choose whether to use old-style <iostream.h>
or new-style <iostream>.  This is very inconvenient, since most
C++ libraries will include the old headers, and they have different
libraries at link time.

You also have to provide allocator arguments explicitly, which can
be annoying, but no big deal.

I had to give up on the MS library because of a clash with 3rd party
code.  I'm writing that 3rd party code (ACE) out in favour of my own
code, and when that's done I'll move back.  In the mean time,
ObjectSpace STL<Toolkit> seems to work, though its API is quite
non-standard.

James
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".